org.apache.xmlgraphics.image.loader.pipeline

## Class ImageRepresentation

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.pipeline.ImageRepresentation

- All Implemented Interfaces:
    java.lang.Comparable, Vertex

      public class ImageRepresentation
      extends java.lang.Object
      implements Vertex

  This class represents a combination of MIME type and an image flavor. It is used in conjunction with Dijkstra's algorithm to find and construct a conversion pipeline for images.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageRepresentation(ImageFlavor flavor)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object obj)`
    `boolean` | `equals(java.lang.Object obj)`
    `ImageFlavor` | `getFlavor()` Returns the image flavor.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageRepresentation

          public ImageRepresentation(ImageFlavor flavor)

      Main constructor
      Parameters:
        `flavor` - the image flavor

  - ### Method Detail

    - #### getFlavor

          public ImageFlavor getFlavor()

      Returns the image flavor.
      Returns:
        the image flavor

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object obj)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.